%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor.pm) perl(Crypt/OpenSSL/DSA.pm) perl(Crypt/OpenSSL/RSA.pm) perl(Crypt/OpenSSL/X509.pm) perl(Digest/SHA1.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Which.pm) perl(MIME/Base64.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(XML/Canonical.pm) perl(XML/CanonicalizeXML.pm) perl(XML/XPath.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.22
%define module_name XML-Sig
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.22
Release: alt1
Summary: An XML Digital Signature Toolkit
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BY/BYRNE/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This perl module provides two primary capabilities: given an XML string, create
and insert a digital signature, or if one is already present in the string verify 
it -- all in accordance with the W3C standard governing XML signatures.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/X*

%changelog
* Tue Apr 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.22-alt1
- initial import by package builder

